nvme_mi_init_ctrl(2)

NAME
nvme_mi_init_ctrl - initialise a NVMe controller.

SYNOPSIS
nvme_mi_ctrl_t nvme_mi_init_ctrl (nvme_mi_ep_t ep , __u16 ctrl_id );

ARGUMENTS

ep  Endpoint to create under

ctrl_id
    ID of controller to initialize.

DESCRIPTION
Create a connection to a controller behind the endpoint specified in ep. Controller IDs may be queried from the endpoint through nvme_mi_mi_read_mi_data_ctrl_list.

See nvme_mi_close_ctrl

RETURN
New controller object, or NULL on failure.